package cn.com.countrygarden.bi.main.service.manager.map;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.HouseKeeperDTO;
import cn.com.countrygarden.bi.main.dto.HouseKeeperParamVo;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.manager.map.ManagerHousekeeperCache;

import java.util.List;

/**
 * 管家列表数据缓存-业务逻辑层
 *
 * @author 李森林
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-11-19
 */
public interface ManagerHousekeeperCacheService {

    Result queryPageList(ManagerHousekeeperCache managerHousekeeperCache, int page, int size);

    Result queryById(Integer id);

    Result add(ManagerHousekeeperCache managerHousekeeperCache, AccessToken accessToken);

    Result edit(ManagerHousekeeperCache managerHousekeeperCache, AccessToken accessToken);

    Result del(Integer id);

    Result queryPageList(HouseKeeperParamVo houseKeeperParamVo, Integer page, Integer size, AccessToken accessToken);

    List<HouseKeeperDTO> queryDataList(HouseKeeperParamVo houseKeeperParamVo, AccessToken accessToken);

    Integer editData(ManagerHousekeeperCache managerHousekeeperCache);
}